#ifndef STAGEMOTION_H
#define STAGEMOTION_H 1
#include <tcl.h>
#include "motion.h"
#include "project_utilities.h"

BEGIN_C_DECLARATIONS

int 
StageMotion_Open_Cmd (ClientData client_data, Tcl_Interp* interp,
                      int objc, Tcl_Obj * const objv[]);
int
StageMotion_Close_Cmd (ClientData client_data, Tcl_Interp* interp,
                       int objc, Tcl_Obj * const objv[]);
int
StageMotion_Move_Cmd (ClientData client_data, Tcl_Interp* interp,
                      int objc, Tcl_Obj * const objv[]);
int
StageMotion_GetState_Cmd (ClientData client_data, Tcl_Interp* interp,
                          int objc, Tcl_Obj * const objv[]);
int
StageMotion_Init (Tcl_Interp *interp);

int
Stagemotion_Find (stagelocationp_t loc);

int
Stagemotion_Position (stagelocationp_t loc);

int
Stagemotion_Active (void);

END_C_DECLARATIONS
 
#endif /* !STAGEMOTION_H */
